Name:		dateutils
Version:	0.3.2
Release:	1%{?dist}
Summary:	Tools to fiddle with dates and times

License:	BSD
URL:		http://www.fresse.org/dateutils/
Source0:	https://bitbucket.org/hroptatyr/dateutils/downloads/dateutils-%{version}.tar.xz

Requires(post):		info
Requires(preun):	info

%description
Dateutils are a bunch of tools that revolve around fiddling with dates and times
in the command line with a strong focus on use cases that arise when dealing
with large amounts of financial data.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

# don't need this file. see 'info-dir-file' rpmlint error
rm -f %{buildroot}%{_infodir}/dir

# this is handled by the doc macro in the files section
#
# the default installs also assumes no version number is attached to the name
# which isn't the case with EPEL
rm -rf %{buildroot}%{_docdir}

%check
make check

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datarootdir}/%{name}/*


%changelog
* Tue Mar 24 2015 Mark McKinstry <mmckinst@umich.edu> - 0.3.2-1
- initial packages

